cancel
Showing results for 
Search instead for 
Did you mean: 

Unacceptable TLS certificate - ubuntu 18

Highlighted

Unacceptable TLS certificate - ubuntu 18

Hi All, 

 

I have been using the Linux Pulse secure client for about a year without problems. On May 30 I started having issues. I have found out from the IT department this is due to a expiration of a "Sectigo root certificate" which seemingly effected many institutions. When I try to click connect on the pulse client I just get "unacceptable TLS certificate". 

 

They have provided links to download both an "intermediate" and "root" .crt file for to fix the issue. I can post the links here if it would help, as they are public it seems. I have followed the instructions here:https://kb.pulsesecure.net/articles/Pulse_Secure_Article/KB43927 by trying to place first the intermetiate, then both of the .crt files into /usr/local/share/ca-certificates, then running the update-certificates command as shown. However, it has not yet resolved the issue. 

 

I tried to run the $ openssl s_client -showcerts -connect <hostname>:443  -- there is a lot of output but no errors seem to be reported. 

 

Also, I am able to backdate my system clock to before May 30 2020, and this causes the pulse secure VPN connection to work. Obviously not a permanant solution. 

 

ARe there any further troubelshooting steps I could follow with someone to try to fix this connection issue?

1 REPLY 1
Highlighted
Moderator

Re: Unacceptable TLS certificate - ubuntu 18

Please PM the openssl_client output and VPN server hostname.

PCS Expert
Pulse Connect Secure Certified Expert